Start an export
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>"
}
}
],
"format": "csv"
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports"
payload = {
"entities": [
{
"entity": "<string>",
"columns": ["<string>"],
"question": { "search": "<string>" }
}
],
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
[
'entity' => '<string>',
'columns' => [
'<string>'
],
'question' => [
'search' => '<string>'
]
]
],
'format' => 'csv'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: [{entity: '<string>', columns: ['<string>'], question: {search: '<string>'}}],
format: 'csv'
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Exports
Start an export
Starts an export of the chosen fields of the records a filter matches, for one or more kinds of record of one module, to CSV or Excel files, gzipped or zipped on request and several kinds always in one zip, kept 14 days.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
exports
Start an export
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>"
}
}
],
"format": "csv"
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports"
payload = {
"entities": [
{
"entity": "<string>",
"columns": ["<string>"],
"question": { "search": "<string>" }
}
],
"format": "csv"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
[
'entity' => '<string>',
'columns' => [
'<string>'
],
'question' => [
'search' => '<string>'
]
]
],
'format' => 'csv'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: [{entity: '<string>', columns: ['<string>'], question: {search: '<string>'}}],
format: 'csv'
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Authorizations
Body
application/json
Was this page helpful?